diff --git a/base/server/upgrade/10.2.2/01-MoveWebApplicationDeploymentLocations b/base/server/upgrade/10.2.2/01-MoveWebApplicationDeploymentLocations
index 8d63a55634e12e0ae5a8b84611581cf0e5b08a1d..5689f252607f310fbd412a04c2bd2cea4ab24969 100755
--- a/base/server/upgrade/10.2.2/01-MoveWebApplicationDeploymentLocations
+++ b/base/server/upgrade/10.2.2/01-MoveWebApplicationDeploymentLocations
@@ -27,7 +27,8 @@ import pki
 import pki.server.upgrade
 
 
-class MoveWebApplicationDeploymentLocations(pki.server.upgrade.PKIServerUpgradeScriptlet):
+class MoveWebApplicationDeploymentLocations(
+        pki.server.upgrade.PKIServerUpgradeScriptlet):
 
     def __init__(self):
         super(MoveWebApplicationDeploymentLocations, self).__init__()
@@ -37,7 +38,10 @@ class MoveWebApplicationDeploymentLocations(pki.server.upgrade.PKIServerUpgradeS
 
     def upgrade_subsystem(self, instance, subsystem):
 
-        subsystem_webapps = os.path.join(instance.base_dir, subsystem.name, 'webapps')
+        subsystem_webapps = os.path.join(
+            instance.base_dir,
+            subsystem.name,
+            'webapps')
         self.backup(subsystem_webapps)
 
         # remove old subsystem webapps symlink
@@ -49,14 +53,24 @@ class MoveWebApplicationDeploymentLocations(pki.server.upgrade.PKIServerUpgradeS
             os.mkdir(subsystem_webapps)
 
         os.chown(subsystem_webapps, instance.uid, instance.gid)
-        os.chmod(subsystem_webapps, 0770)
+        os.chmod(subsystem_webapps, 0o770)
 
         # move subsystem webapp
-        subsystem_old_webapp = os.path.join(instance.base_dir, 'webapps', subsystem.name)
+        subsystem_old_webapp = os.path.join(
+            instance.base_dir,
+            'webapps',
+            subsystem.name)
         subsystem_new_webapp = os.path.join(subsystem_webapps, subsystem.name)
-        subsystem_context_xml = os.path.join(instance.conf_dir, 'Catalina', 'localhost', subsystem.name + '.xml')
+        subsystem_context_xml = os.path.join(
+            instance.conf_dir,
+            'Catalina',
+            'localhost',
+            subsystem.name + '.xml')
 
-        self.move_webapp(subsystem_old_webapp, subsystem_new_webapp, subsystem_context_xml)
+        self.move_webapp(
+            subsystem_old_webapp,
+            subsystem_new_webapp,
+            subsystem_context_xml)
 
     def upgrade_instance(self, instance):
 
@@ -68,19 +82,27 @@ class MoveWebApplicationDeploymentLocations(pki.server.upgrade.PKIServerUpgradeS
             os.mkdir(common_webapps)
 
         os.chown(common_webapps, instance.uid, instance.gid)
-        os.chmod(common_webapps, 0770)
+        os.chmod(common_webapps, 0o770)
 
         # move ROOT webapp
         root_old_webapp = os.path.join(instance.base_dir, 'webapps', 'ROOT')
         root_new_webapp = os.path.join(common_webapps, 'ROOT')
-        root_context_xml = os.path.join(instance.conf_dir, 'Catalina', 'localhost', 'ROOT.xml')
+        root_context_xml = os.path.join(
+            instance.conf_dir,
+            'Catalina',
+            'localhost',
+            'ROOT.xml')
 
         self.move_webapp(root_old_webapp, root_new_webapp, root_context_xml)
 
         # move pki webapp
         pki_old_webapp = os.path.join(instance.base_dir, 'webapps', 'pki')
         pki_new_webapp = os.path.join(common_webapps, 'pki')
-        pki_context_xml = os.path.join(instance.conf_dir, 'Catalina', 'localhost', 'pki.xml')
+        pki_context_xml = os.path.join(
+            instance.conf_dir,
+            'Catalina',
+            'localhost',
+            'pki.xml')
 
         self.move_webapp(pki_old_webapp, pki_new_webapp, pki_context_xml)
 
diff --git a/base/server/upgrade/10.2.2/02-EnableWebApplicationAutoDeploy b/base/server/upgrade/10.2.2/02-EnableWebApplicationAutoDeploy
index 6e2731d27b83ad71b7ca1b4e3eb55de04e61d72d..5493e1e21e79cab0e45587bdef1e6e8f55cb3bcc 100755
--- a/base/server/upgrade/10.2.2/02-EnableWebApplicationAutoDeploy
+++ b/base/server/upgrade/10.2.2/02-EnableWebApplicationAutoDeploy
@@ -26,7 +26,8 @@ import pki
 import pki.server.upgrade
 
 
-class EnableWebApplicationAutoDeploy(pki.server.upgrade.PKIServerUpgradeScriptlet):
+class EnableWebApplicationAutoDeploy(
+        pki.server.upgrade.PKIServerUpgradeScriptlet):
 
     def __init__(self):
         super(EnableWebApplicationAutoDeploy, self).__init__()
diff --git a/base/server/upgrade/10.2.3/01-FixInstanceWorkFolderOwnership b/base/server/upgrade/10.2.3/01-FixInstanceWorkFolderOwnership
index 3c7f21aaf531e522506aa93bc088cb6c198b79f6..83ec67d6b2131a874b11450d68d50b8462265eb9 100755
--- a/base/server/upgrade/10.2.3/01-FixInstanceWorkFolderOwnership
+++ b/base/server/upgrade/10.2.3/01-FixInstanceWorkFolderOwnership
@@ -23,7 +23,8 @@ import os
 import pki.server.upgrade
 
 
-class FixInstanceWorkFolderOwnership(pki.server.upgrade.PKIServerUpgradeScriptlet):
+class FixInstanceWorkFolderOwnership(
+        pki.server.upgrade.PKIServerUpgradeScriptlet):
 
     def __init__(self):
         super(FixInstanceWorkFolderOwnership, self).__init__()
@@ -31,6 +32,8 @@ class FixInstanceWorkFolderOwnership(pki.server.upgrade.PKIServerUpgradeScriptle
 
     def upgrade_instance(self, instance):
 
-        directory = os.path.join(instance.base_dir, 'work/Catalina/localhost/pki')
+        directory = os.path.join(
+            instance.base_dir,
+            'work/Catalina/localhost/pki')
         if os.path.exists(directory):
             pki.util.chown(directory, instance.uid, instance.gid)
diff --git a/base/server/upgrade/10.2.4/01-AddMissingOCSPGETServletMappingToWebXML b/base/server/upgrade/10.2.4/01-AddMissingOCSPGETServletMappingToWebXML
index dfc6a98a609b93b5ac3268068377f8d359eff2cf..5e4077371409fd862fb462a46f0a52b196e1580a 100755
--- a/base/server/upgrade/10.2.4/01-AddMissingOCSPGETServletMappingToWebXML
+++ b/base/server/upgrade/10.2.4/01-AddMissingOCSPGETServletMappingToWebXML
@@ -25,7 +25,9 @@ from lxml import etree as ET
 import pki
 import pki.server.upgrade
 
-class AddMissingOCSPGETServletMappingToWebXML(pki.server.upgrade.PKIServerUpgradeScriptlet):
+
+class AddMissingOCSPGETServletMappingToWebXML(
+        pki.server.upgrade.PKIServerUpgradeScriptlet):
 
     OCSPGETServletMappingData = """
         <servlet-mapping>
@@ -41,7 +43,6 @@ class AddMissingOCSPGETServletMappingToWebXML(pki.server.upgrade.PKIServerUpgrad
         self.doc = None
         self.root = None
 
-
     def upgrade_subsystem(self, instance, subsystem):
         # only affects CA
         if subsystem.name != "ca":
@@ -64,7 +65,7 @@ class AddMissingOCSPGETServletMappingToWebXML(pki.server.upgrade.PKIServerUpgrad
         self.doc.write(web_xml)
 
     def add_ocsp_get_servlet_mapping(self):
-        #add missing OCSP Get servlet mapping
+        # add missing OCSP Get servlet mapping
         mappingFound = False
         urlPattern = ""
         index = 0
